<?php

namespace ControlScripts\Scopes;

use \SHServ\Middleware\ControlScripts;
use \SHServ\Implements\ControlScriptsInterface;

class ServerRoomScope extends ControlScripts implements ControlScriptsInterface {
	use \ControlScripts\Common;

	public function register_sync_map(): void {
		$this -> register_global_device_sync_map();
	}

	public function register_events_handlers(): void {
		// btns_hall2_1 физически находятся в холле и обрабатываются в HallScope
	}

	public function register_actions_scripts(): void {
		$this -> add_toggle_action("server_room_light_switch", "Серверная", "server_room_light", 0, [
			"description" => "Вкл/Выкл. свет в серверной",
			"author" => "Eugene Sukhodolskiy",
			"state_callback" => function() {
				return $this -> helper() -> make_relay_indicator("server_room_light", 0);
			},
		]);
	}

	public function register_regular_scripts(): void {}
}
